Page MenuHomePhabricator

Random italicized text under Reading preferences section on Special: Preferences > Appearance tab
Closed, ResolvedPublic

Description

The text "Get quick previews of a topic while reading a page" for Page previews option under Reading preferences section on Special: Preferences> Appearance tab is italicized. Can it not have the same style as any other inline help text?


(Special:Preferences with OOUI enabled)

  • Remove italicized text, which is distinct to Popups and misplaced in relation to elements elsewhere.
  • Put label on one line (after OOUI rollout)

Event Timeline

Ryasmeen created this task.Sep 10 2018, 7:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2018, 7:43 PM
Volker_E renamed this task from Random italicized text under Reading preferences section on Special: Preferences> Appearance tab to Random italicized text under Reading preferences section on Special: Preferences > Appearance tab.Sep 10 2018, 10:32 PM
Volker_E edited projects, added MediaWiki-Special-pages; removed OOUI.

It's not only weirdly italicized, it's also a <p> which shouldn't be a child element of a label.

Izno added a subscriber: Izno.Sep 11 2018, 4:09 AM

This spot has no need for emphasis, and the use of the p is indeed puzzling.

Probably should be: Page previews: Lorem ipsum...

Change 460142 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Popups@master] Remove unique and misplaced italicized text from preferences setting

https://gerrit.wikimedia.org/r/460142

@Izno The patch above is just removing italicized text, as we would negatively impact the layout of current Special:Preferences by putting it on one line. We'll pick the remaining parts up after OOUIfied rollout is done.

Volker_E triaged this task as Low priority.Sep 12 2018, 10:50 PM
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)
Volker_E removed a subscriber: gerritbot.

Change 460142 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Remove unique and misplaced italicized text from preferences setting

https://gerrit.wikimedia.org/r/460142

phuedx added subscribers: alexhollender, phuedx.

@alexhollender: A friendly heads up that, per T203992#4579032, this change will be live on all wikis next Thursday (2018/09/20) and so should be reviewed by you. You can see the change in action here: https://en.wikipedia.beta.wmflabs.org/wiki/Special:Preferences#mw-prefsection-rendering

@phuedx seems like something is off, assuming what's expected is the screenshot in the description (without the text being italicized). This is what I'm seeing:

@alexhollender There's two different things happening, the transformation of Special:Preferences to OOUI, a subtask of T180538: Improve Special:Preferences UI/UX. @Ryasmeen went through all settings to capture inconsistencies and the italicized text was one. You can preview it at https://en.wikipedia.beta.wmflabs.org/wiki/Special:Preferences?ooui=1

What you're looking at, is the current (and soon to go, planned for next week) version of Special:Preferences. As I've stated in T203992#4578797 the italicized text was off in current and future OOUI implementation, therefore provided the patch to remove italics. We gonna follow-up once OOUI transforming patch is merged, to also get rid of the paragraph separation, which won't make sense in new layout.

Volker_E updated the task description. (Show Details)Sep 13 2018, 8:04 PM
alexhollender added a project: Product-QA.

@Volker_E thanks for the clarification. Confirming that the text is no longer italicized and moving to QA.

yup, fixed now.

@Volker_E - when are we expecting the OOUI rollout? Not sure if I should split the second part of this task off into a separate item or wait for the rollout and do it as one.

@ovasileva It's already on the way, https://en.wikipedia.beta.wmflabs.org/wiki/Special:Preferences
will be rolled-out on normal deployment train starting next Tuesday to the wiki near you.

Sounds good, I'll move this out of our sprint for now. @Volker_E - feel free to close whenever you think is appropriate after the deployment

phuedx removed a subscriber: phuedx.Sep 20 2018, 6:01 PM

Change 462603 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Popups@master] Amend preferences message to unify with messages elsewhere

https://gerrit.wikimedia.org/r/462603

@alexhollender @ovasileva Short amendment from our conversation, where we talked about using a '–' as separator. The other messages laid out similar are provided with extra information in brackets and a ':' at the end of line when it's followed by any widget. In contrast to messages that are labelling a widget side-by-side.
Result (with patch provided):

@alexhollender @ovasileva Short amendment from our conversation, where we talked about using a '–' as separator. The other messages laid out similar are provided with extra information in brackets and a ':' at the end of line when it's followed by any widget. In contrast to messages that are labelling a widget side-by-side.
Result (with patch provided):

looks good to me!

Change 462603 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Amend preferences message to unify with messages elsewhere

https://gerrit.wikimedia.org/r/462603

@ovasileva Should this be verified by @ABorbaWMF before resolving?

Volker_E updated the task description. (Show Details)

@ovasileva Should this be verified by @ABorbaWMF before resolving?

Yup! Either @Ryasmeen or @ABorbaWMF should be able to test.

Ryasmeen moved this task from Backlog to Done on the Product-QA board.Oct 1 2018, 6:53 PM
Volker_E closed this task as Resolved.Oct 9 2018, 5:09 AM
Volker_E claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 9 2018, 5:09 AM